Subject: MetaData Extraction Registry should have Ordering Parameter
Description

the priority of of Metadata Extractors which one overrides data from another one.
This implicitly defines the execution order...

This might not be useful at any time - therefore add an parameter for execution priority/order

Associated revisions
Revision 03606391 - 2014-01-30 17:38 - Steffen Ritter

[TASK] Priority is not execution order in for Extractors

When the meta-data extraction services have been introduced it
silently has been assumed that the defined priority can be
used as execution order. In fact the priority just defines which
data takes precedence of another. In fact you might have an
extraction service which has highest priority for the fields it
serves but on the opposite should run as first, so other
extraction services already can use the data.

This change adds a second "priority" for that purpose and adapts
the indexing process accordingly.
History
#1 - 2013-12-07 16:02 - Steffen Ritter
- Parent task set to #54261

#2 - 2014-01-08 19:15 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26696

#3 - 2014-01-08 19:17 - Steffen Ritter
- % Done changed from 0 to 70

#4 - 2014-01-30 18:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:036063910a352a3c3b62dc370f642f8b9ee2496f.
